oasis.names.tc.saml._1_0.assertion

## Class AttributeStatement

- java.lang.Object
- - oasis.names.tc.saml._1_0.assertion.StatementAbstractType
  - - oasis.names.tc.saml._1_0.assertion.SubjectStatementAbstractType
    - - oasis.names.tc.saml._1_0.assertion.AttributeStatement

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T02:54:22+02:00",
                 comments="JAXB RI v2.3.7")
      public class AttributeStatement
      extends SubjectStatementAbstractType
      implements Serializable

  Java class for AttributeStatementType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AttributeStatementType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:1.0:assertion}SubjectStatementAbstractType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}Attribute" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeStatement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Attribute>` | `getAttributes()` Gets the value of the attributes property.

    - ### Methods inherited from class oasis.names.tc.saml._1_0.assertion.SubjectStatementAbstractType

      `getSubject, setSubject`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeStatement

          public AttributeStatement()

  - ### Method Detail

    - #### getAttributes

          public List<Attribute> getAttributes()

      Gets the value of the attributes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributes property.

      For example, to add a new item, do as follows:

              getAttributes().add(newItem);

      Objects of the following type(s) are allowed in the list `Attribute`

Connector Packaging TRUSSMAKER 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.